Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1960

Summary: Kaffe dumps core on SPARCStation 2
Product: [Retired] Red Hat Linux Reporter: Damond Walker <dwalker>
Component: kaffeAssignee: David Miller <davem>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: high Docs Contact:
Priority: medium    
Version: 6.0   
Target Milestone: ---   
Target Release: ---   
Hardware: sparc   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 1999-06-02 09:51:05 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Damond Walker 1999-04-03 07:56:13 UTC
Kaffe dumps cores, fires off assertions, or simply fails.
Go ahead and try it...if you need more information let me
know and I'll send you more information.

Comment 1 Jeff Johnson 1999-04-04 17:05:59 UTC
Could you send enough information for us to reproduce? Thanks ...

Comment 2 Preston Brown 1999-04-12 19:17:59 UTC
we have ugpraded to the b4 release of kaffe which is supposedly a
'massive bugfix release'.  Please try again and see if the problems
you were having are solved.

Comment 3 David Miller 1999-04-17 15:23:59 UTC
I've started looking into this, just so that others know.

The current kaffe fails nearly every test in it's testsuite.
The failures sound just like those in the original report, emitting
many assertions, dumping core, and just failing in general.

I'll be looking more deeply into this problem tonight, and maybe if
I'm lucky a fix will emerge. :-)

Comment 4 David Miller 1999-04-18 22:38:59 UTC
I have verified that it only fails on 32-bit sparc systems,
on UltraSparc it seems to work just fine.  This points to
a kernel problem, and thus it's my problem.

Comment 5 David Miller 1999-06-02 09:51:59 UTC
This bug is fixed by the sparc kernel/egcs errata.